| GlsMap Toolkit 1.10.2

Public Member Functions | Protected Attributes | Friends | List of all members
disti::GeoRect Class Reference

`#include <gls_map_util.h>`

## Public Member Functions
| GeoRect ()
| GeoRect (double minLongitude, double minLatitude, double maxLongitude, double maxLatitude)
void | SetRect (double minLongitude, double minLatitude, double maxLongitude, double maxLatitude)
void | MinLongitude (double value)
void | MinLatitude (double value)
void | MaxLongitude (double value)
void | MaxLatitude (double value)
double | MinLongitude () const
double | MinLatitude () const
double | MaxLongitude () const
double | MaxLatitude () const
bool | ContainsPoint (const GeoCoord &point) const
bool | ContainsPoint (double lon, double lat) const
void | SetToNull ()
bool | IsNull () const
void | SetToPoint (const GeoCoord &point)
void | SetToPoint (double lon, double lat)
void | GrowToContainPoint (const GeoCoord &point)
void | GrowToContainPoint (double lon, double lat)
bool | Intersects (const GeoRect &other) const
void | SetToIntersection (const GeoRect &rect1, const GeoRect &rect2)
void | Scale (const double scaleFactor)

## Protected Attributes
double | _minLon
double | _minLat
double | _maxLon
double | _maxLat

## Friends
std::ostream & | operator<< (std::ostream &os, const GeoRect &r)

## Detailed Description

The GeoRect class represents a lon/lat aligned region on the surface of the earth.

## Constructor & Destructor Documentation

## ◆ GeoRect()

disti::GeoRect::GeoRect | ( |  | ) |
| inline

ctor - sets the GeoRect to contain nothing

## Member Function Documentation

## ◆ ContainsPoint() [1/2]

bool disti::GeoRect::ContainsPoint | ( | const GeoCoord & | point | ) | const
| inline

Determine if a point is in the GeoRect

## ◆ ContainsPoint() [2/2]

bool disti::GeoRect::ContainsPoint | ( | double | lon,
|  | double | lat
| ) |  | const
| inline

Determine if a point is in the GeoRect

## ◆ GrowToContainPoint() [1/2]

void disti::GeoRect::GrowToContainPoint | ( | const GeoCoord & | point | ) |
| inline

Increase the area of the GeoRect as needed to include the given point

## ◆ GrowToContainPoint() [2/2]

void disti::GeoRect::GrowToContainPoint | ( | double | lon,
|  | double | lat
| ) |  |
| inline

Increase the area of the GeoRect as needed to include the given point

## ◆ Intersects()

bool disti::GeoRect::Intersects | ( | const GeoRect & | other | ) | const
| inline

Determine if this GeoRect intersects with another GeoRect

## ◆ IsNull()

bool disti::GeoRect::IsNull | ( |  | ) | const
| inline

determine if the GeoRect to contains nothing

Returns
  true if contains nothing else false

## ◆ Scale()

void disti::GeoRect::Scale | ( | const double | scaleFactor | ) |
| inline

Scale the region by moving the edges inward or outward from the center.

## ◆ SetRect()

void disti::GeoRect::SetRect | ( | double | minLongitude,
|  | double | minLatitude,
|  | double | maxLongitude,
|  | double | maxLatitude
| ) |  |
| inline

Set the GeoRect value

## ◆ SetToIntersection()

void disti::GeoRect::SetToIntersection | ( | const GeoRect & | rect1,
|  | const GeoRect & | rect2
| ) |  |
| inline

Set this GeoRect to the intersection of the two given GeoRect

## ◆ SetToNull()

void disti::GeoRect::SetToNull | ( |  | ) |
| inline

Set the GeoRect to contain nothing.

## ◆ SetToPoint() [1/2]

void disti::GeoRect::SetToPoint | ( | const GeoCoord & | point | ) |
| inline

Set the GeoRect to contain a single point

## ◆ SetToPoint() [2/2]

void disti::GeoRect::SetToPoint | ( | double | lon,
|  | double | lat
| ) |  |
| inline

Set the GeoRect to contain a single point

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const GeoRect & | r
| ) |  |
| friend

Printer

The documentation for this class was generated from the following file:

- gls_map_util.h